JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Variant.VARIANT._VARIANT.__VARIANT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.Variant.VARIANT._VARIANT.__VARIANT

Enclosing class:
  Variant.VARIANT._VARIANT

    public static class Variant.VARIANT._VARIANT.__VARIANT

extends Union

Nested Class Summary
`static class` `Variant.VARIANT._VARIANT.__VARIANT.BRECORD`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`OaIdl.VARIANT_BOOL` `boolVal`
`WTypes.BSTR` `bstrVal`
`WinDef.BYTE` `bVal`
`WinDef.PVOID` `byref`
`WinDef.CHAR` `cVal`
`OaIdl.CURRENCY` `cyVal`
`OaIdl.DATE` `date`
`java.lang.Double` `dblVal`
`java.lang.Float` `fltVal`
`java.lang.Integer` `intVal`
`WinDef.SHORT` `iVal`
`WinDef.LONGLONG` `llVal`
`WinDef.LONG` `lVal`
`OaIdl.SAFEARRAY.ByReference` `parray`
`OaIdl._VARIANT_BOOLbyReference` `pbool`
`OaIdl.VARIANT_BOOLbyReference` `pboolVal`
`WTypes.BSTR` `pbstrVal`
`ByteByReference` `pbVal`
`WinDef.CHARbyReference` `pcVal`
`OaIdl.CURRENCY.ByReference` `pcyVal`
`OaIdl.DATE.ByReference` `pdate`
`DoubleByReference` `pdblVal`
`OaIdl.DECIMAL.ByReference` `pdecVal`
`IDispatch` `pdispVal`
`FloatByReference` `pfltVal`
`IntByReference` `pintVal`
`ShortByReference` `piVal`
`WinDef.LONGLONGbyReference` `pllVal`
`WinDef.LONGbyReference` `plVal`
`OaIdl.SAFEARRAY.ByReference` `pparray`
`IDispatch.ByReference` `ppdispVal`
`IUnknown.ByReference` `ppunkVal`
`WinDef.SCODEbyReference` `pscode`
`WinDef.UINTbyReference` `puintVal`
`WinDef.USHORTbyReference` `puiVal`
`WinDef.ULONGLONGbyReference` `pullVal`
`WinDef.ULONGbyReference` `pulVal`
`IUnknown` `punkVal`
`Variant.VARIANT.ByReference` `pvarVal`
`WinDef.SCODE` `scode`
`WinDef.UINT` `uintVal`
`WinDef.USHORT` `uiVal`
`WinDef.ULONGLONG` `ullVal`
`WinDef.ULONG` `ulVal`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Variant.VARIANT._VARIANT.__VARIANT()`
`Variant.VARIANT._VARIANT.__VARIANT(Pointer pointer)`

Method Summary

Methods inherited from class com.sun.jna.Union
`getFieldOrder, getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### llVal

    public WinDef.LONGLONG llVal

### lVal

    public WinDef.LONG lVal

### bVal

    public WinDef.BYTE bVal

### iVal

    public WinDef.SHORT iVal

### fltVal

    public java.lang.Float fltVal

### dblVal

    public java.lang.Double dblVal

### boolVal

    public OaIdl.VARIANT_BOOL boolVal

### scode

    public WinDef.SCODE scode

### cyVal

    public OaIdl.CURRENCY cyVal

### date

    public OaIdl.DATE date

### bstrVal

    public WTypes.BSTR bstrVal

### punkVal

    public IUnknown punkVal

### pdispVal

    public IDispatch pdispVal

### parray

    public OaIdl.SAFEARRAY.ByReference parray

### pbVal

    public ByteByReference pbVal

### piVal

    public ShortByReference piVal

### plVal

    public WinDef.LONGbyReference plVal

### pllVal

    public WinDef.LONGLONGbyReference pllVal

### pfltVal

    public FloatByReference pfltVal

### pdblVal

    public DoubleByReference pdblVal

### pboolVal

    public OaIdl.VARIANT_BOOLbyReference pboolVal

### pbool

    public OaIdl._VARIANT_BOOLbyReference pbool

### pscode

    public WinDef.SCODEbyReference pscode

### pcyVal

    public OaIdl.CURRENCY.ByReference pcyVal

### pdate

    public OaIdl.DATE.ByReference pdate

### pbstrVal

    public WTypes.BSTR pbstrVal

### ppunkVal

    public IUnknown.ByReference ppunkVal

### ppdispVal

    public IDispatch.ByReference ppdispVal

### pparray

    public OaIdl.SAFEARRAY.ByReference pparray

### pvarVal

    public Variant.VARIANT.ByReference pvarVal

### byref

    public WinDef.PVOID byref

### cVal

    public WinDef.CHAR cVal

### uiVal

    public WinDef.USHORT uiVal

### ulVal

    public WinDef.ULONG ulVal

### ullVal

    public WinDef.ULONGLONG ullVal

### intVal

    public java.lang.Integer intVal

### uintVal

    public WinDef.UINT uintVal

### pdecVal

    public OaIdl.DECIMAL.ByReference pdecVal

### pcVal

    public WinDef.CHARbyReference pcVal

### puiVal

    public WinDef.USHORTbyReference puiVal

### pulVal

    public WinDef.ULONGbyReference pulVal

### pullVal

    public WinDef.ULONGLONGbyReference pullVal

### pintVal

    public IntByReference pintVal

### puintVal

    public WinDef.UINTbyReference puintVal

Constructor Detail

### Variant.VARIANT._VARIANT.__VARIANT

    public Variant.VARIANT._VARIANT.__VARIANT()

### Variant.VARIANT._VARIANT.__VARIANT

    public Variant.VARIANT._VARIANT.__VARIANT(Pointer pointer)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.